Subject: Re: pine (pico) enhancement request

From: [email-masked] (Seppo Kallio)
Date: Thu, 13 May 1993 10:40:15 +0200

>On Wed, 12 May 1993, Seppo Kallio wrote:
>> 1. The vt100 and vt200 terminals have select, insert, remove  keys. They
>>    are easy to use. pine (pico) should work with them. The C-k is  C-u
>>    not enough
>> 
>Not all terminals support these features.  One of the key objectives of
>the pine design was to make it consistent for everyone.  I suppose that
>the above functionality could be turned on with function-key support
>though.  

All vt100 and vt200 terminals do have those keys and good vt100 & vt200
emulators also. I do not see why vt200 users are not allowed to use the
select/remove/insert keys when they are much more easy to use than the
C-k/C-u keys. 

>> 2. There could be some Do-key and some extra commands with english words

>Another objective of Pine is to keep it as simple as possible.  If you
>start adding a bunch of extended commands, you would be better off to just
>use emacs...

Emacs is awfull for a novice to use - compare it to VAX/VMS EVE/TPU! 

You mean that program with a lot of possibilities can not be simple to use?
I disagree. Program can be big and include a lot of featuers and be very
easy to use at the same time. EVE/TPU in VAX/VMS is one example of that
kind of program. It includes most emacs features but it is quite simple to
use.

>> After this you need few simple commands:
>> 
>> 1. create new nicname
>> 2. add more addresses to the nicname (the line cursor is pointing)
>> 3. edit (the field cursor is pointing, address, nicname, name)
>> 4. print address book
>> 5. delete (the field cursor is pointing, address,nicname,...)
>> 
>Where does this differ from what is there now?

>> ? Help       M Main Menu  T AddToList   - Prev Pg     A Add         D Delete
>>              S CreateList L Print   SPACE Next Pg     E Edit        W Where 

1. Now you have 2 create commands: Add and CreateList
In my succestion there is only one.

2. Novice has a problem if he wants add one name to the alias, he must
delete it and create a list.
In my succestion there is no problem.

3. The function of command Add is not very clear: Does it add a name to
list or new alias?

4. When you create a list command is CreateList (That is clear)
When you create a alias, the command is Add (Add what and where? That is
not clear if you do not read docs, and they do not.)

Maybe the biggest problem is in the command names. But I do not see any
reason for why there is alias and list. Why there is two types of entries
in the address book when only one is needed?
--
 +----- Seppo Kallio --------+---- [email-masked] ------- Eudora mailer ----+
 !    Computing Centre       !   Fax +358-41-603611 Phone +358-41-603606   !
 !  University of Jyvaskyla  !            Telex 28218 JYU FI               !
 +------- Finland -----------+- [email-masked] Mac-k{ytt{jien postiosoite +